package com.ozs.da;

import com.ozs.da.job.JobServer;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@MapperScan("com.ozs.da.dao")
@EnableSwagger2
@EnableEurekaClient
@EnableFeignClients
@SpringBootApplication
public class DaApplication {

	public static void main(String[] args) {
		SpringApplication.run(DaApplication.class, args);
	}

	@Bean
	public JobServer jobServer(){//启动调度服务
		return new JobServer();
	}

}
